comedi_set_write_subdevice
Prev | 5.4.2. Asynchronous commands | Next

## Name

comedi_set_write_subdevice — set streaming output subdevice

## Synopsis

    #include <comedilib.h>

`int comedi_set_write_subdevice(` | comedi_t * device,
| unsigned int subdevice`)`;

## Status

Works for Linux "in-tree" Comedi since kernel version 3.19.

## Description

The function `comedi_set_write_subdevice` sets `subdevice` as the current “write” subdevice if the subdevice supports streaming output commands.

No action is performed if `subdevice` is already the current “write” subdevice.

Changes are local to the open file description for this `device` and have no effect on other open file descriptions for the underlying device node.

## Return value

On success, `0` is returned. On failure, `-1` is returned.

Prev | Up | Next
comedi_set_read_subdevice | Home | comedi_apply_calibration